<template>
  <v-snackbar v-model="show" :color="color" :timeout="timeout" :top="'top'">
    {{ text }}

    <template v-slot:action="{ attrs }">
      <v-btn dark text v-bind="attrs"  @click="snackbar = false"> Close </v-btn>
    </template>
  </v-snackbar>
</template>

<script>
export default {
  created() {
    this.$store.subscribe((mutation, state) => {
      if (mutation.type === "snackbar/SHOW_MESSAGE") {
        this.text = state.snackbar.result.text;
        this.color = state.snackbar.result.color;
        this.timeout = state.snackbar.result.timeout;
        this.show = true;
      }
    });
  },
  data() {
    return {
      show: false,
      color: "",
      text: "",
      timeout: 2000,
    };
  },
};
</script>

<style></style>
